Description

In the Processing toolbox there is tool "convert format" that should allow convert from/to different data types.

I tested (and 2.4 and master) converting TO shapefile different data type as inputs and the result are seldom right (if any).

My test cases:

+) Postgis to shape. Windows: QGIS freezes, Linux: the converted layer is not the input one, but another (even NOT in the QGIS project)

available in the same database/connection

+) Similar results if the input layer is a WFS layer

+) Similar results if the input layer is Spatialite, minus the freeze under Windows

+) with GPX as input it gives as error

Algorithm Convert format starting...

FAILURE: Unable to open datasource /home/giovanni/Dropbox/qgis_zc/geodados/gpx/pontos_alentejo.gpx|layername=waypoints with

the following drivers.->ESRI Shapefile ->MapInfo File ->UK .NTF ->SDTS ->TIGER ->S57 ->DGN ->VRT ->REC ->Memory ->BNA

->CSV ->NAS ->GML ->GPX ->LIBKML ->KML ->GeoJSON ->Interlis 1 ->Interlis 2 ->GMT ->GPKG ->SQLite ->DODS ->ODBC

->WAsP ->PGeo ->MSSQLSpatial ->OGDI ->PostgreSQL ->MySQL ->PCIDSK ->OpenFileGDB ->XPlane ->AVCBin ->AVCE00 ->DXF

->Geoconcept ->GeoRSS ->GPSTrackMaker ->VFK ->PGDump ->OSM ->GPSBabel ->SUA ->OpenAir ->PDS ->WFS ->HTF

->AeronavFAA ->Geomedia ->EDIGEO ->GFT ->GME ->SVG ->CouchDB ->Idrisi ->ARCGEN ->SEGUKOOA ->SEGY ->XLS ->ODS

->XLSX ->ElasticSearch ->PDF ->Walk ->CartoDB ->SXF

History

#1 - 2014-11-22 01:20 AM - Alexander Bruy

- Category changed from 94 to Processing/GDAL

#2 - 2015-01-21 11:22 AM - Giovanni Manghi

- Assignee changed from Victor Olaya to Giovanni Manghi

will be fixed with

https://github.com/qgis/QGIS/pull/1849
https://github.com/qgis/QGIS/pull/1849


#3 - 2015-01-22 07:57 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
